GetExecutor (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.GetExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class GetExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.GetExecutor

public class GetExecutor
extends AbstractExecutor

Executor that simply tries to execute a get(key) operation. This will try to find a get(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Version:
  $Id: GetExecutor.java,v 1.8.4.1 2004/03/03 23:22:59 geirm Exp $
Author:
  Jason van Zyl

Field Summary
`private java.lang.Object[]` | `args` Container to hold the 'key' part of get(key).

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`method, rlog`

Constructor Summary
`GetExecutor(RuntimeLogger r, Introspector ispect, java.lang.Class c, java.lang.String key)` Default constructor.

Method Summary
`java.lang.Object` | `execute(java.lang.Object o)` Execute method against context.
`java.lang.Object` | `OLDexecute(java.lang.Object o, InternalContextAdapter context)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### args

    private java.lang.Object[] args

  Container to hold the 'key' part of get(key).

Constructor Detail

### GetExecutor

    public GetExecutor(RuntimeLogger r,
                       Introspector ispect,
                       java.lang.Class c,
                       java.lang.String key)
                throws java.lang.Exception

  Default constructor.

Method Detail

### execute

    public java.lang.Object execute(java.lang.Object o)
                             throws java.lang.IllegalAccessException,
                                    java.lang.reflect.InvocationTargetException

  Execute method against context.

  Specified by:
    `execute` in class `AbstractExecutor`
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### OLDexecute

    public java.lang.Object OLDexecute(java.lang.Object o,
                                       InternalContextAdapter context)
                                throws java.lang.IllegalAccessException,
                                       MethodInvocationException

  Execute method against context.

  Throws:
    `java.lang.IllegalAccessException`
    `MethodInvocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.